
QGIS Application - Bug report #13374

Crash on loading MySQL geometry Layer

2015-09-16 11:59 PM - Marco Lechner

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.10.1 Regression?: No

Operating System: Debian/Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21426

Description

While trying to connect to a MySQLDB serving geometries, QGIS crashes when loading the layer (POINT with only one entry).

Using 2.8.3 on Debian it crashes immediately when connecting even before it presents the list of available tables in the DB.

Using QGIS 2.10 on Ubuntu QGIS crashes when trying to load the layer. It successfully gets and presents the list of available Layers but

when trying to load the POINT layer it crashes immediately after noticing that it could not get the layers SRS and therfore assuming

WGS8 (which is correct in my testcase).

Crashes always generates a segfault-error without further information.

This bug does not seem to be necessarily an OGR issue, because using ogr2ogr on the machines succesfully imports a shp into MySQL

and even successfully exports it from the DB back to a Shapefile without problems.

History

#1 - 2015-09-17 02:04 AM - Marco Lechner

- File QGIS_crashlog.txt added

crash dump for 2.8.3 attached.

#2 - 2015-09-27 10:15 AM - Saber Razmjooei

- Status changed from Open to Feedback

Could you set turn off the parallel rendering and try again?

It is under Settings > Options > Rendering > Render layers in parallel using many CPU cores (untick this option).

#3 - 2015-09-27 11:23 AM - Marco Lechner

- Affected QGIS version changed from 2.8.3 to 2.10.1

- File QGIS_crashlog_2.10.txt added

Hi Saber,

with definitely unticked parallel rendering the error is the same (crashdump.log from available QGIS 2.10) attached. Anyway, I'm quite sure the parallel

rendering was unticked when the first dump has been created as well.

Marco
#4 - 2015-10-12 10:31 AM - Saber Razmjooei

- Status changed from Feedback to Open

#5 - 2015-10-21 01:12 AM - Martin Dobias

Most likely duplicate of #10622

What version of GDAL do you use?

#6 - 2015-11-03 01:36 PM - Marco Lechner

GDAL/OGR 1.10.1

will try a different version as soon as possible - have to install an Ubuntu Wily to get a QGIS compiled (or running?) against GDAL/OGR 1.11.1.

My Ubuntu trusty (14.04 + deb http://qgis.org/debian trusty main) uses 1.10.1 :-(

Marco

#7 - 2015-11-05 11:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

#8 - 2015-11-09 05:13 AM - Marco Lechner

- Status changed from Feedback to Closed

seems to be fixed using GDAL 1.11.x as described in duplicate issue.

Tested to use a mysql-Connection using QGIS 2.12.x on Ubuntu 15.04/GDAL 1.11.2 and some openSuSE using a QGIS compiled against a GDAL 1.11.x

Anyway closing this ticket, even backporting a "fix" to QGIS LTR (2.8.x) means providing a QGIS 2.8.x-Version depending on an increased

GDAL-Version.

Files

QGIS_crashlog.txt 2.22 KB 2015-09-17 Marco Lechner

QGIS_crashlog_2.10.txt 2.22 KB 2015-09-27 Marco Lechner
